2014-05-05configure: prefer g-variants
"Yann E. MORIN" <yann.morin.1998@free.fr> [Mon, 05 May 2014 19:36:35 +0200] rev 3297
configure: prefer g-variants

For awk and make, we currently check the standard names as found on
a classic GNU-userland system, and then fallback to looking for the
g-named variants as found on a *BSD system.

But it happens that the usual name might also be available on a *BSD
system, so we should first check the g-variant.

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>

2014-03-18configure.ac: respect 'g' variants of libtool/libtoolize
Andreas Bießmann <andreas@biessmann.de> [Tue, 18 Mar 2014 17:01:10 +0100] rev 3296
configure.ac: respect 'g' variants of libtool/libtoolize

BSD OS'es (OS X for me) provide GNU tools with prefixed 'g'. To find correct
versions of libtool/libtoolize on those systems search also for
glibtool/glibtoolize.

Signed-off-by: Andreas BieƟmann <andreas@biessmann.de>
Signed-off-by: Bryan Hundven <bryanhundven@gmail.com>
[yann.morin.1998@free.fr: search for the g-variant first]
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Message-Id: <2f1530b54afcb6a00e1d.1395158786@andreas-mbp.er.biessmann.org>
Patchwork-Id: 331467

2014-04-18cc/gcc: fix the PR58595 patch
"Yann E. MORIN" <yann.morin.1998@free.fr> [Fri, 18 Apr 2014 22:46:06 +0200] rev 3295
cc/gcc: fix the PR58595 patch

It applies manually with fuzz 2, but ct-ng does not accept any fuxx at all.

So, re-diff the patch so it applies cleanly.

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>

2014-04-17cc/gcc: add some bug fixes to gcc 4.7.3 and 4.8.2
"Yann E. MORIN" <yann.morin.1998@free.fr> [Thu, 17 Apr 2014 18:17:12 +0200] rev 3294
cc/gcc: add some bug fixes to gcc 4.7.3 and 4.8.2

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>

2014-03-11comptools: do not force build of make-3.81 unless really needed
"Yann E. MORIN" <yann.morin.1998@free.fr> [Tue, 11 Mar 2014 22:11:43 +0100] rev 3293
comptools: do not force build of make-3.81 unless really needed

On systems with make-3.82, we forcibly force the build and the use
of make-3.81

But some newer tools break when building with make-3.81. For example,
eglibc-3.18 breaks.

Introduce a new blind options that tools may select if they require
make-3.81. If the system does not have make-3.81, and this option is
selected, then we force the build of make-3.81. Otherwise, we leave
it to the user to decide on his own.

Note that no component selects this option for now. It will come in
later patches as we find them.

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>

2014-02-20If GNU make 3.81 is not found then build it as a companion tool.
Ray Donnelly <mingw.android@gmail.com> [Thu, 20 Feb 2014 18:23:08 +0000] rev 3292
If GNU make 3.81 is not found then build it as a companion tool.

Signed-off-by: Ray Donnelly <mingw.android@gmail.com>
[yann.morin.1998@free.fr: add message "checking for make 3.81"]
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Message-Id: <8b8bf6998f3d239f6c74.1392920971@advancedsearch.virginmedia.com>
Patchwork-Id: 322302

2014-02-20Companion tools are no longer experimental
Ray Donnelly <mingw.android@gmail.com> [Thu, 20 Feb 2014 18:22:50 +0000] rev 3291
Companion tools are no longer experimental

Signed-off-by: Ray Donnelly <mingw.android@gmail.com>
Message-Id: <3e204a5cf9648db53a6a.1392920970@advancedsearch.virginmedia.com>
Patchwork-Id: 322301

2014-02-04binutils: Added ranlib to tools list
Ray Donnelly <mingw.android@gmail.com> [Tue, 04 Feb 2014 07:40:45 +0000] rev 3290
binutils: Added ranlib to tools list

so that it is available to available to
the core C compiler build because static
libraries are built and ranlib is used
on them.

Signed-off-by: Ray Donnelly <mingw.android@gmail.com>
Message-Id: <CAOYw7dt=+DdnKAHNShfs6a+=7sS+DLQYkyxnQMAwmw7E7zqvgA@mail.gmail.com>
Patchwork-Id: 316477

2014-02-19debug/ltrace: pump ltrace to version 0.7.3
Daniel Zimmermann <netzimme@gmail.com> [Wed, 19 Feb 2014 22:36:03 +0100] rev 3289
debug/ltrace: pump ltrace to version 0.7.3

pump ltrace to version 0.7.3
backport a patch from Peter Wu to silence warnings/errors in ltrace

Signed-off-by: '"Peter Wu" <lekensteyn@gmail.com>'
Signed-off-by: '"Daniel Zimmermann" <netzimme@gmail.com>'
[yann.morin.1998@free.fr: remove superfluous empty lines]
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Message-Id: <8349c35b506aa79c4e69.1392845765@haus-VirtualBox>
Patchwork-Id: 322017

2014-02-17kernel/linux: pump ISL to version 0.12.2
Daniel Zimmermann <netzimme@gmail.com> [Mon, 17 Feb 2014 07:11:45 +0100] rev 3288
kernel/linux: pump ISL to version 0.12.2

kernel/linux: pump ISL to version 0.12.2

pump ISL to version 0.12.2

Signed-off-by: '"Daniel Zimmermann" <netzimme@gmail.com>'
[yann.morin.1998@free.fr: remove superfluous empty lines]
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Message-Id: <93ee409eb70170262d84.1392617512@haus-VirtualBox>
Patchwork-Id: 320849